<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.jy</groupId>
    <artifactId>jy</artifactId>
    <version>4.0</version>
    <description>jy管理系统</description>

    <packaging>pom</packaging>

    <properties>
        <java.version>17</java.version>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <jy.version>4.0</jy.version>
        <spring-boot.version>3.3.3</spring-boot.version>
        <hutool.version>5.8.32</hutool.version>
        <sa-token.version>1.39.0</sa-token.version>
        <mybatis-plus.version>3.5.8</mybatis-plus.version>
        <dynamic-datasource.version>4.3.1</dynamic-datasource.version>
        <redisson.version>3.35.0</redisson.version>
        <fastjson2.version>2.0.53</fastjson2.version>
        <easy-captcha.version>1.6.2</easy-captcha.version>
        <nashorn-core.version>15.4</nashorn-core.version>
        <beetl.version>3.17.0.RELEASE</beetl.version>
        <warm-flow.version>1.3.7</warm-flow.version>
        <esdk-obs-java.version>3.24.9</esdk-obs-java.version>
        <easyexcel.version>4.0.3</easyexcel.version>
    </properties>

    <modules>
        <module>jy-starter</module>
        <module>jy-generator</module>
        <module>jy-framework</module>
        <module>jy-system</module>
        <module>jy-log</module>
        <module>jy-business</module>
        <module>jy-flow</module>
    </modules>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>

            <!-- SpringBoot的依赖配置 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- hutool依赖配置, 在线文档：https://doc.hutool.cn/ -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-bom</artifactId>
                <version>${hutool.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <!-- Sa-Token 权限认证, 在线文档：http://sa-token.dev33.cn/ -->
            <dependency>
                <groupId>cn.dev33</groupId>
                <artifactId>sa-token-spring-boot3-starter</artifactId>
                <version>${sa-token.version}</version>
            </dependency>

            <!-- mybatis-plus, 在线文档：https://baomidou.com/ -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-spring-boot3-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>

            <!-- 多数据源 -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>dynamic-datasource-spring-boot3-starter</artifactId>
                <version>${dynamic-datasource.version}</version>
            </dependency>

            <!-- redisson -->
            <dependency>
                <groupId>org.redisson</groupId>
                <artifactId>redisson-spring-boot-starter</artifactId>
                <version>${redisson.version}</version>
            </dependency>

            <!-- fastjson2 -->
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>

            <!-- 验证码工具 -->
            <dependency>
                <groupId>com.github.whvcse</groupId>
                <artifactId>easy-captcha</artifactId>
                <version>${easy-captcha.version}</version>
            </dependency>

            <!-- mp代码生成 -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-generator</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>

            <!-- 代码生成引擎 -->
            <dependency>
                <groupId>com.ibeetl</groupId>
                <artifactId>beetl</artifactId>
                <version>${beetl.version}</version>
            </dependency>

            <dependency>
                <groupId>org.dromara.warm</groupId>
                <artifactId>warm-flow-mybatis-plus-sb3-starter</artifactId>
                <version>${warm-flow.version}</version>
            </dependency>

            <dependency>
                <groupId>com.huaweicloud</groupId>
                <artifactId>esdk-obs-java</artifactId>
                <version>${esdk-obs-java.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>easyexcel</artifactId>
                <version>${easyexcel.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-starter</artifactId>
                <version>${jy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-framework</artifactId>
                <version>${jy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-system</artifactId>
                <version>${jy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-log</artifactId>
                <version>${jy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-business</artifactId>
                <version>${jy.version}</version>
            </dependency>

            <dependency>
                <groupId>com.jy</groupId>
                <artifactId>jy-flow</artifactId>
                <version>${jy.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <build>
        <resources>
            <resource>
                <directory>src/main/java</directory>
                <includes>
                    <include>com/jy/**/mapper/xml/*.xml</include>
                </includes>
            </resource>
            <resource>
                <directory>src/main/resources</directory>
            </resource>
        </resources>
    </build>

</project>
